Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.api
Interface DeploymentService

All Known Subinterfaces:
  DeploymentServiceEJBLocal

All Known Implementing Classes:
  AbstractDeploymentService, DeploymentServiceCDIImpl, DeploymentServiceEJBImpl, KModuleDeploymentService

    public interface DeploymentService

Deploys `DeploymentUnit`s into the runtime engine by building `RuntimeManager` instance for the deployment unit. Upon successful deployment `DeployedUnit` instance is created and cached for further usage.

Method Summary
`void` | `activate(String deploymentId)` Activates given deployment by making sure it will be available for execution.
`void` | `deactivate(String deploymentId)` Deactivates given deployment by making it only available for already running instances.
`void` | `deploy(DeploymentUnit unit)` Performs deployment operation of given `unit`.
`DeployedUnit` | `getDeployedUnit(String deploymentUnitId)` Returns `DeployedUnit` instance for given deployment id if exists
`Collection<DeployedUnit>` | `getDeployedUnits()` Returns all (currently) deployed units.
`RuntimeManager` | `getRuntimeManager(String deploymentUnitId)` Returns `RuntimeManager` instance dedicated to deployment unit identified by given id
`boolean` | `isDeployed(String deploymentUnitId)` Performs a check if given deployment is already active
`void` | `undeploy(DeploymentUnit unit)` Performs undeployment operation of given `unit`.

Method Detail

### deploy

    void deploy(DeploymentUnit unit)

  Performs deployment operation of given `unit`.

  Parameters:
    `unit` - deployment unit to be deployed to runtime
  Throws:
    `RuntimeException` - in case of problems encountered while deploying unit

### undeploy

    void undeploy(DeploymentUnit unit)

  Performs undeployment operation of given `unit`.

  Parameters:
    `unit` - deployment unit to be undeployed from runtime
  Throws:
    `RuntimeException` - in case of problems encountered while deploying unit

### getRuntimeManager

    RuntimeManager getRuntimeManager(String deploymentUnitId)

  Returns `RuntimeManager` instance dedicated to deployment unit identified by given id

  Parameters:
    `deploymentUnitId` - identifier of deployment unit
  Returns:
    `RuntimeManager` if exists for given deployment id otherwise null

### getDeployedUnit

    DeployedUnit getDeployedUnit(String deploymentUnitId)

  Returns `DeployedUnit` instance for given deployment id if exists

  Parameters:
    `deploymentUnitId` - identifier of deployment unit
  Returns:
    `DeployedUnit` instance if exists for given deployment id otherwise null

### getDeployedUnits

    Collection<DeployedUnit> getDeployedUnits()

  Returns all (currently) deployed units.

  Returns:
    collections of all existing deployed units

### activate

    void activate(String deploymentId)

  Activates given deployment by making sure it will be available for execution.

  Parameters:
    `deploymentId` -

### deactivate

    void deactivate(String deploymentId)

  Deactivates given deployment by making it only available for already running instances.

  Parameters:
    `deploymentId` -

### isDeployed

    boolean isDeployed(String deploymentUnitId)

  Performs a check if given deployment is already active

  Parameters:
    `deploymentUnitId` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.